[arch-commits] Commit in handbrake/repos (3 files)

Giovanni Scafora giovanni at archlinux.org
Fri Nov 27 10:08:04 EST 2009


    Date: Friday, November 27, 2009 @ 10:08:04
  Author: giovanni
Revision: 59770

Merged revisions 59765,59768 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/handbrake/trunk

........
  r59765 | giovanni | 2009-11-27 07:03:59 -0800 (ven, 27 nov 2009) | 2 lines
  
  upgpkg: handbrake 0.9.4-1
      upstream release
........
  r59768 | giovanni | 2009-11-27 07:05:26 -0800 (ven, 27 nov 2009) | 1 line
........

Added:
  handbrake/repos/extra-i686/handbrake.install
    (from rev 59768, handbrake/trunk/handbrake.install)
Modified:
  handbrake/repos/extra-i686/	(properties)
  handbrake/repos/extra-i686/PKGBUILD

-------------------+
 PKGBUILD          |   36 ++++++++++++++++--------------------
 handbrake.install |   11 +++++++++++
 2 files changed, 27 insertions(+), 20 deletions(-)


Property changes on: handbrake/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /handbrake/trunk:1-53218
   + /handbrake/trunk:1-59769

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-27 15:06:40 UTC (rev 59769)
+++ extra-i686/PKGBUILD	2009-11-27 15:08:04 UTC (rev 59770)
@@ -1,30 +1,26 @@
 # $Id$
-# Maintainer: Varun Acharya <varun at archlinux.org>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
 # Contributor: Sebastien Piccand <sebcactus gmail com>
 
 pkgname=handbrake
-pkgver=0.9.3
-pkgrel=2
-pkgdesc="HandBrake is a multiplatform, multithreaded DVD to MPEG-4 ripper/converter"
+pkgver=0.9.4
+pkgrel=1
+pkgdesc="Multiplatform, multithreaded DVD to MPEG-4/H264/Theora converter"
 arch=('i686' 'x86_64')
-url="http://handbrake.m0k.org/"
+url="http://handbrake.fr/"
 license=('GPL')
-depends=()
-makedepends=('ftjam' 'wget' 'patch' 'yasm')
-conflicts=('handbrake-bin')
-source=("http://handbrake.fr/rotation.php?file=HandBrake-${pkgver}.tar.gz")
-md5sums=('ee79c94b5acd68f28351ba2704b4d55d')
+depends=('bzip2' 'hal' 'libnotify' 'libwebkit' 'hicolor-icon-theme')
+makedepends=('intltool' 'python>=2.6' 'yasm')
+install=${pkgname}.install
+source=(http://saintdevelopment.com/mirror/${pkgname}/HandBrake-${pkgver}.tar.bz2)
+md5sums=('69f88b2e602550615da75947f914d7e6')
 
 build() {
-  cd $startdir/src/HandBrake-${pkgver}
+  cd "${srcdir}/HandBrake-${pkgver}"
 
-  #Build with optimizations:
-  if [ "$CARCH" = "x86_64" ]; then
-  	OPTIM="-march=x86-64" ./configure
-  else  OPTIM="-march=i686" ./configure
-  fi
-  jam || return 1
-  mkdir -p ${startdir}/pkg/usr/bin || return 1
-  install -m755 HandBrakeCLI $startdir/pkg/usr/bin/HandBrakeCLI || return 1
-  ln -s /usr/bin/HandBrakeCLI ${startdir}/pkg/usr/bin/handbrake || return 1
+  ./configure --prefix=/usr \
+              --force || return 1
+  cd build
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }

Copied: handbrake/repos/extra-i686/handbrake.install (from rev 59768, handbrake/trunk/handbrake.install)
===================================================================
--- extra-i686/handbrake.install	                        (rev 0)
+++ extra-i686/handbrake.install	2009-11-27 15:08:04 UTC (rev 59770)
@@ -0,0 +1,11 @@
+post_install() {
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}



More information about the arch-commits mailing list